package com.apobbati.samples.controllers;

import com.apobbati.samples.security.SecurityPrincipalSerializer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class AppController {
    @Autowired
    private SecurityPrincipalSerializer principalSerializer;

    @RequestMapping(value = "/app/index", method = RequestMethod.GET)
    public ModelAndView get() {
        return new ModelAndView("app", "principalJson", principalSerializer.principalToJson());
    }
}
