'use strict';

/* Controllers */

angular.module('myApp.controllers', []).
  controller('MyCtrl1', ['$scope', '$http', '$modal', function($scope, $http, $modal) {
    $scope.showDialog = function() {
      var modalInstance = $modal.open({
        templateUrl: 'modal1.html',
        controller: 'MyModalCtrl5',
        resolve: {
          foobar: function() {
            return ['A', 'B', 'C'];
          }
        }
      });

      modalInstance.result.then(function(selectedItem) {
        $scope.selected = selectedItem;
      });
    };
  }])
  .controller('MyCtrl2', [function() {

  }])
  .controller('MyCtrl3', [function() {

  }])
  .controller('MyCtrl4', [function() {

  }])
  .controller('MyModalCtrl5', ['$scope', function($scope, $modalInstance, foobar) {
    $scope.ok = function () {
      $modalInstance.close();
    };

    $scope.cancel = function () {
      $modalInstance.dismiss('cancel');
    };
  }]);